# Maintainer:  twa022 <twa022 at gmail dot com>
# Contributor: Mark Weiman <mark dot weiman at markzz dot com>
# Contributor: Zhengyu Xu <xzy3186@gmail.com>

pkgname=insync-nemo
pkgver=3.8.1.50459
pkgrel=1
pkgdesc="Nemo integration for insync"
url="https://www.insynchq.com/downloads"
license=('custom:insync')
options=('!strip' '!emptydirs')
arch=('x86_64')
makedepends=('gtk-doc' 'imagemagick')
source=("http://cdn.insynchq.com/builds/linux/${pkgname}_${pkgver}_all.deb"
        "https://metainfo.manjariando.com.br/${pkgname}/com.${pkgname}.metainfo.xml"
        "https://metainfo.manjariando.com.br/filemanager.png")
sha256sums=('91d2cd70c80bc5868caf5312cbc19b908b8a73a06e5338b7c2d0f91fb9cddd4f'
            'cae4c79ba0e439a9348f67a38a81f80195c93145206ac71af8b867a9a7556f5d'
            '3b19be9e841750dd69bc8bedb141dc74a9cac7ec6a885223cc5d1bf26af6d925')

_insync_desktop="[Desktop Entry]
Version=1.0
Terminal=false
Type=Application
Name=
Exec=insync start
TryExec=insync
Categories=Utility;
NoDisplay=true"

build() {
    cd "${srcdir}"
    echo -e "$_insync_desktop" | tee com.${pkgname/-/_}.desktop
}

package() {
    depends=("insync>=${pkgver%.*}" "nemo-python")
    optdepends=("insync-emblem-icons: emblem icons for Insync")

    tar -zxf "${srcdir}"/data.tar.gz -C "${pkgdir}"
        
    # Appstream
    install -Dm644 "${srcdir}/com.${pkgname/-/_}.desktop" "${pkgdir}/usr/share/applications/com.${pkgname/-/_}.desktop"
    install -Dm644 "${srcdir}/com.${pkgname}.metainfo.xml" "${pkgdir}/usr/share/metainfo/com.${pkgname}.metainfo.xml"

    for size in 22 24 32 48 64 128; do
        mkdir -p "${pkgdir}/usr/share/icons/hicolor/${size}x${size}/apps"
        convert "${srcdir}/filemanager.png" -resize "${size}x${size}" \
            "${pkgdir}/usr/share/icons/hicolor/${size}x${size}/apps/${pkgname}.png"
    done
}
